org.red5.server.stream.codec

## Class StreamCodecInfo

- java.lang.Object
- - org.red5.server.stream.codec.StreamCodecInfo

All Implemented Interfaces:
  IStreamCodecInfo

    public class StreamCodecInfo
    extends Object
    implements IStreamCodecInfo

### Constructor Summary

Constructors
Constructor and Description
`StreamCodecInfo()`

### Method Summary

Methods
`IAudioStreamCodec` `getAudioCodec()` Return audio codec
`String` `getAudioCodecName()` Getter for audio codec name
`IVideoStreamCodec` `getVideoCodec()` Return video codec
`String` `getVideoCodecName()` Getter for video codec name
`boolean` `hasAudio()` Has audio support?
`boolean` `hasVideo()` Has video support?
`void` `setAudioCodec(IAudioStreamCodec codec)` Setter for audio codec
`void` `setHasAudio(boolean value)` New value for audio support
`void` `setHasVideo(boolean value)` New value for video support
`void` `setVideoCodec(IVideoStreamCodec codec)` Setter for video codec

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamCodecInfo

    public StreamCodecInfo()

### Method Detail

#### hasAudio

    public boolean hasAudio()

Has audio support?

Specified by:
  `hasAudio` in interface `IStreamCodecInfo`
Returns:
  `true` if stream codec has audio support, `false` otherwise

#### setHasAudio

    public void setHasAudio(boolean value)

New value for audio support

Parameters:
  `value` - Audio support

#### getAudioCodecName

    public String getAudioCodecName()

Getter for audio codec name

Specified by:
  `getAudioCodecName` in interface `IStreamCodecInfo`
Returns:
  Audio codec name

#### getAudioCodec

    public IAudioStreamCodec getAudioCodec()

Return audio codec

Specified by:
  `getAudioCodec` in interface `IStreamCodecInfo`
Returns:
  Audio codec used by stream codec

#### setAudioCodec

    public void setAudioCodec(IAudioStreamCodec codec)

Setter for audio codec

Parameters:
  `codec` - Audio codec

#### hasVideo

    public boolean hasVideo()

Has video support?

Specified by:
  `hasVideo` in interface `IStreamCodecInfo`
Returns:
  `true` if stream codec has video support, `false` otherwise

#### setHasVideo

    public void setHasVideo(boolean value)

New value for video support

Parameters:
  `value` - Video support

#### getVideoCodecName

    public String getVideoCodecName()

Getter for video codec name

Specified by:
  `getVideoCodecName` in interface `IStreamCodecInfo`
Returns:
  Video codec name

#### getVideoCodec

    public IVideoStreamCodec getVideoCodec()

Return video codec

Specified by:
  `getVideoCodec` in interface `IStreamCodecInfo`
Returns:
  Video codec used by stream codec

#### setVideoCodec

    public void setVideoCodec(IVideoStreamCodec codec)

Setter for video codec

Parameters:
  `codec` - Video codec